<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fboard_control/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fboard_control/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fboard_control/locale/English.php";
}

// Infusion general information
$inf_title = $locale['fbc100'];
$inf_description = $locale['fbc101'];
$inf_version = "1.0";
$inf_developer = "Ian Unruh (k3p7)";
$inf_email = "ianunruh@gmail.com";
$inf_weburl = "http://www.php-invent.com";

$inf_folder = "fboard_control"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "fboard_control.php"; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "fboard_control (
fbc_view   TINYINT(2) NOT NULL,
fbc_medals TINYINT(2) NOT NULL,
fbc_ranks  TINYINT(2) NOT NULL
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "fboard_control (fbc_view, fbc_medals, fbc_ranks) VALUES('1', '1', '1')";

?>