<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."medal_system/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."medal_system/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."medal_system/locale/English.php";
}

if(isset($del) && isNum($del)){
$result = dbquery("DELETE FROM ".$db_prefix."medals WHERE medal_id='$del'");
redirect(FUSION_SELF.$aidlink."&status=dm");
}

if(!empty($_POST['medal_user'])){
$medal_user = stripinput($_POST['medal_user']);
$medal_image = stripinput($_POST['medal_image']);
$medal_reason = stripinput($_POST['medal_reason']);
$result = dbquery("INSERT INTO ".$db_prefix."medals (medal_user, medal_reason, medal_image) VALUES('$medal_user', '$medal_reason', '$medal_image')");
redirect(FUSION_SELF.$aidlink."&status=sm");
}

if($status == "sm") echo "<b>".$locale['mds221']."</b><br /><br />";
if($status == "dm") echo "<b>".$locale['mds220']."</b><br /><br />";

opentable($locale['mds200']);
echo "<form action='".FUSION_SELF.$aidlink."' method='post'>
<table width='450'>
	<tr>
		<td>".$locale['mds201']."</td>
		<td><select name='medal_user' class='textbox' style='width:225px;'>";
		
		$result = dbquery("SELECT * FROM ".$db_prefix."users ORDER BY user_name ASC");
		while($data = dbarray($result)){
			echo "<option value='".$data['user_id']."'>".$data['user_name']."</option>\n";
		}

		echo "</select>
		</td>
	</tr>
	<tr>
		<td>".$locale['mds202']."</td>
		<td><select name='medal_image' class='textbox' style='width:225px;'>";
	
		echo makefileopts(makefilelist(INFUSIONS."medal_system/images/", ".|..|index.php"));

		echo "</select>
		</td>
	<tr>
	<tr>
		<td>".$locale['mds203']."</td>
		<td><textarea name='medal_reason' class='textbox' style='width:225px;'></textarea></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><input type='submit' class='button' name='add_medal' value='".$locale['mds204']."'></textarea></td>
	</tr>
</table>
</form>";

closetable();

tablebreak();

opentable($locale['mds210']);
$result = dbquery("SELECT * FROM ".$db_prefix."medals");
if(dbrows($result)){
echo "<center><table class='tbl-border' width='500'>
	<tr>
		<td class='tbl1'><b>".$locale['mds211']."</b></td>
		<td class='tbl1'><b>".$locale['mds212']."</b></td>
		<td class='tbl1'><b>".$locale['mds213']."</b></td>
		<td class='tbl1'><b>".$locale['mds214']."</b></td>
	</tr>";
while($data = dbarray($result)){
echo "<tr>
<td class='tbl1'>";
$user = dbarray(dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id='".$data['medal_user']."'"));
echo "<a href='".BASEDIR."profile.php?lookup=".$user['user_id']."'>".$user['user_name']."</a></td><td class='tbl1'>
<img src='".INFUSIONS."medal_system/images/".$data['medal_image']."' alt='".$data['medal_image']."' />
</td>
<td class='tbl1'>
".$data['medal_reason']."
</td>
<td class='tbl1'>
<a href='".FUSION_SELF.$aidlink."&del=".$data['medal_id']."'>".$locale['mds215']."</a>
</td></tr>";
}
echo "</table></center>";
} else {
echo "<center><b>".$locale['mds222']."</b></center>";
}
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>